---
lang: en
title: 'API docs: openapi-v3.oasenhancer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.oasenhancer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [OASEnhancer](./openapi-v3.oasenhancer.md)

## OASEnhancer interface

Typically an extension point defines an interface as the contract for extensions to implement

**Signature:**

```typescript
export interface OASEnhancer 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[name](./openapi-v3.oasenhancer.name.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[modifySpec(spec)](./openapi-v3.oasenhancer.modifyspec.md)


</td><td>


</td></tr>
</tbody></table>

